# OnContextPrepared class final

Annotation to mark a method that should run when the application context has been prepared.

This lifecycle event occurs after the environment is set up and configuration has been applied, but before the context is refreshed and pods are fully initialized.

Use this for adjusting configuration, registering additional pods, or overriding defaults.

The only acceptable method signatures are:

- No-Arg: The method should not accept any arguments.
- One-Arg: The method should accept a single argument of type `ConfigurableApplicationContext`.

### Example

    class MyApp {
      @OnContextPrepared()
      void prepareContext() {
        print("Context prepared, applying additional configuration...");
      }

      @OnContextPrepared()
      void prepareContextWithContext(ConfigurableApplicationContext context) {
        print("Context prepared, applying additional configuration...");
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - OnContextPrepared
Annotations
  - @Target({TargetKind.method})

## Constructors

OnContextPrepared.new()
  Annotation to mark a method that should run when the application context has been prepared.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited